#!/bin/bash

destination_path="/etc/udev/rules.d/99-obsensor-libusb.rules"

if [[ ! -f "$destination_path" ]]; then
  echo "OrbbecSDK v2 udev rules not installed.  You can install them with the following command: " \
       "'orbbec_sdk_v2_install_udev_rules' or by running the script " \
       "'$MODULE_DEFINITION_RESOURCE_DIR/install_udev_rules.sh'."
  exit 1
else
  echo "OrbbecSDK v2 udev rules installed."
fi
