#!/bin/bash

file="$unseen_object_clustering_DIR/data/weights.zip"

if [[ ! -e "$file" ]]; then
  echo "Downloading Checkpoint for Unseen Object Clustering to $file"
  wget --load-cookies /tmp/cookies.txt "https://docs.google.com/uc?export=download&confirm=$(wget --quiet --save-cookies /tmp/cookies.txt --keep-session-cookies --no-check-certificate 'https://docs.google.com/uc?export=download&id=1O-ymMGD_qDEtYxRU19zSv17Lgg6fSinQ' -O- | sed -rn 's/.*confirm=([0-9A-Za-z_]+).*/\1\n/p')&id=1O-ymMGD_qDEtYxRU19zSv17Lgg6fSinQ" -O $file
  echo "Extracting Weights"
  unzip $file -d "$unseen_object_clustering_DIR/data/"
fi