#!/bin/bash
# create settings in given maven home
set -e
[[ -z $1 ]] && exit 1

SETTINGS=$(cat << RAWSETTINGS
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 https://maven.apache.org/xsd/settings-1.0.0.xsd">
<localRepository>$1/repository</localRepository>
</settings>
RAWSETTINGS
)

mkdir -p "$1"
echo "$SETTINGS" > "$1/settings.xml"
