"""
Tests `axii module` functionalities.
"""


from armarx_setup.core.util.commands import execute, strip_ansi


def test_module_show():
    axii_module = ["axii", "module", "show", "armarx/ArmarXCore"]
    output = strip_ansi(execute(axii_module))

    assert "name='armarx/ArmarXCore'" in output
    assert "ssh_url='git@git.h2t.iar.kit.edu:sw/armarx/armarx-core.git'" in output
    assert "https_url='https://git.h2t.iar.kit.edu/sw/armarx/armarx-core.git'" in output
